<?php
class ControllerExtensionModuleQuantityId extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('extension/module/quantity_id');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('quantity_id', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] .'&type=module', true));
		}

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['entry_bestseller'] = $this->language->get('entry_bestseller');
		$data['entry_featured'] = $this->language->get('entry_featured');
		$data['entry_latest'] = $this->language->get('entry_latest');
		$data['entry_special'] = $this->language->get('entry_special');
		$data['entry_product_listing'] = $this->language->get('entry_product_listing');
		$data['entry_search_listing'] = $this->language->get('entry_search_listing');
		$data['entry_manufactures'] = $this->language->get('entry_manufactures');
		$data['entry_product'] = $this->language->get('entry_product');
		$data['entry_related_product'] = $this->language->get('entry_related_product');
		$data['entry_cart'] = $this->language->get('entry_cart');
		$data['entry_min_quantity'] = $this->language->get('entry_min_quantity');
		$data['entry_max_quantity'] = $this->language->get('entry_max_quantity');
		$data['entry_inc_min_quantity'] = $this->language->get('entry_inc_min_quantity');
		$data['entry_styles'] = $this->language->get('entry_styles');


		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_module'),
			'href' => $this->url->link('/extension', 'user_token=' . $this->session->data['user_token'] .'&type=module' , true)
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('extension/module/quantity_id', 'user_token=' . $this->session->data['user_token'], true)
		);

		$data['action'] = $this->url->link('extension/module/quantity_id', 'user_token=' . $this->session->data['user_token'], true);

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] .'&type=module', true);

		if (isset($this->request->post['quantity_id'])) {
			$data['quantity'] = $this->request->post['quantity_id'];
		} else {
			$data['quantity'] = $this->config->get('quantity_id');
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/quantity_id', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/quantity_id')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}
}